#!/bin/bash

while read -r line; do
	case "$line" in
		*'marked on')
			# Get all marked windows and set their border width
			for win in $(bspc query -N -n .marked); do
				bspc config -n "$win" border_width 10
			done
			;;
		*'marked off')
			# Set border width for all windows to 2
			for win in $(bspc query -N -n .marked); do
				bspc config -n "$win" border_width 2
			done
			;;
	esac
done < <(bspc subscribe report node_flag)

